Axiomatic
Platform

Tenant Provisioning

Create tenant databases and initial entities

POST
/api/tenants/provision

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/tenants/provision" \  -H "Content-Type: application/json" \  -d '{    "entities": [      {        "name": "string",        "type": "PERSONAL"      }    ]  }'
{  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "region": "string",  "entities": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "legalName": "string",      "type": "string",      "functionalCurrency": "string",      "fiscalYearStartMonth": 0,      "periodType": "monthly",      "timezone": "string",      "parentEntityId": "104d03d6-66fa-40da-8ad1-17945ff5bbe2",      "ownershipPercentage": 0,      "consolidationGroupId": "cb72ea30-f8ea-40f2-99f2-2983e4e5cdac",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}